Couleur

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## chkoba
Enum Couleur

    java.lang.Object
      java.lang.Enum<Couleur>
          chkoba.Couleur

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Couleur>

    public enum Couleur

extends java.lang.Enum<Couleur>

Type enumere Couleur

Enum Constant Summary
`carreau`
`coeur` symbolisent les quatre couleurs d'un jeu de carte classique
`pique`
`trefle`

Method Summary
`static Couleur` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Couleur[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### coeur

    public static final Couleur coeur

  symbolisent les quatre couleurs d'un jeu de carte classique

### pique

    public static final Couleur pique

### trefle

    public static final Couleur trefle

### carreau

    public static final Couleur carreau

Method Detail

### values

    public static Couleur[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Couleur c : Couleur.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Couleur valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD